# Asterisk Project : Asterisk 13 Function_DB_DELETE

Created by wikibot on Aug 08, 2014

# DB_DELETE()

### Synopsis

Return a value from the database and delete it.

### Description

This function will retrieve a value from the Asterisk database and then remove that key from the database. `DB_RESULT` will be set to the key's value if it exists.

Note

Icon

If `live_dangerously` in `asterisk.conf` is set to `no`, this function can only be read from the dialplan, and not directly from external protocols. It can, however, be executed as a write operation (`DB_DELETE(family, key)=ignored`)

### Syntax

    DB_DELETE(family/key)

##### Arguments

- `family`
- `key`

### See Also

- Asterisk 13 Application_DBdel
- Asterisk 13 Function_DB
- Asterisk 13 Application_DBdeltree

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538